Get a fact-find block Run in API Explorer
Ask AI
GET
/api/v2/fact-find/blocks/{factFindBlock_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find/blocks/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "38dfd887-438e-49ce-87a9-1b53046fd8f3",
"created_at": "2026-09-18T09:00:13+01:00",
"updated_at": "2026-09-18T09:00:13+01:00",
"fact_find_section": {
"uuid": "b87e8b0e-5aba-4436-8f93-78a8a1fcc585",
"created_at": "2026-09-18T09:00:13+01:00",
"updated_at": "2026-09-18T09:00:13+01:00",
"fact_find_template": {
"uuid": "48693c4d-5648-4313-b3a1-ae9e0679c07b",
"created_at": "2026-09-18T09:00:18+01:00",
"updated_at": "2026-09-18T09:00:18+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-09-17T09:00:18+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "c44d0e7e-2110-401e-8d5e-f0570b4f1990",
"created_at": "2026-09-18T09:00:18+01:00",
"updated_at": "2026-09-18T09:00:18+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}